org.keycloak.models

## Class IdentityProviderMapperModel

- java.lang.Object
- - org.keycloak.models.IdentityProviderMapperModel

- All Implemented Interfaces:
    Serializable

      public class IdentityProviderMapperModel
      extends Object
      implements Serializable

  Specifies a mapping from broker login to user data.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `config`
    `protected String` | `id`
    `protected String` | `identityProviderAlias`
    `protected String` | `identityProviderMapper`
    `protected String` | `name`
    `static String` | `SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderMapperModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<String,String>` | `getConfig()`
    `Map<String,String>` | `getConfigMap(String configKey)`
    `String` | `getId()`
    `String` | `getIdentityProviderAlias()`
    `String` | `getIdentityProviderMapper()`
    `String` | `getName()`
    `IdentityProviderMapperSyncMode` | `getSyncMode()`
    `int` | `hashCode()`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setId(String id)`
    `void` | `setIdentityProviderAlias(String identityProviderAlias)`
    `void` | `setIdentityProviderMapper(String identityProviderMapper)`
    `void` | `setName(String name)`
    `void` | `setSyncMode(IdentityProviderMapperSyncMode syncMode)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNC_MODE

          public static final String SYNC_MODE

      See Also:
        Constant Field Values

    - #### id

          protected String id

    - #### name

          protected String name

    - #### identityProviderAlias

          protected String identityProviderAlias

    - #### identityProviderMapper

          protected String identityProviderMapper

    - #### config

          protected Map<String,String> config

  - ### Constructor Detail

    - #### IdentityProviderMapperModel

          public IdentityProviderMapperModel()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getIdentityProviderAlias

          public String getIdentityProviderAlias()

    - #### setIdentityProviderAlias

          public void setIdentityProviderAlias(String identityProviderAlias)

    - #### getIdentityProviderMapper

          public String getIdentityProviderMapper()

    - #### setIdentityProviderMapper

          public void setIdentityProviderMapper(String identityProviderMapper)

    - #### getSyncMode

          public IdentityProviderMapperSyncMode getSyncMode()

    - #### setSyncMode

          public void setSyncMode(IdentityProviderMapperSyncMode syncMode)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### getConfigMap

          public Map<String,String> getConfigMap(String configKey)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.